Bug 258646 - www/plugger: Uses incompatible plugin interface NPAPI
Summary: www/plugger: Uses incompatible plugin interface NPAPI
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-09-20 23:01 UTC by Daniel Engberg
Modified: 2021-09-24 21:20 UTC (History)
0 users

See Also:


Attachments
Patch for plugger (476 bytes, patch)
2021-09-20 23:01 UTC, Daniel Engberg
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Engberg freebsd_committer 2021-09-20 23:01:21 UTC
Created attachment 228070 [details]
Patch for plugger

Uses incompatible plugin interface NPAPI
Comment 1 commit-hook freebsd_committer 2021-09-24 21:12:45 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=a06cef18c1a3e8b36bad286373aa37e9c3bbf798

commit a06cef18c1a3e8b36bad286373aa37e9c3bbf798
Author:     Daniel Engberg <diizzy@FreeBSD.org>
AuthorDate: 2021-09-24 20:39:55 +0000
Commit:     Daniel Engberg <diizzy@FreeBSD.org>
CommitDate: 2021-09-24 21:10:14 +0000

    www/plugger: Deprecate and set expiration date to 2021-12-31

    Uses incompatible plugin interface NPAPI
    Reference: https://en.wikipedia.org/wiki/NPAPI#Support/deprecation

    PR:             258646
    Approved by:    tcberner (mentor)
    Differential Revision:  https://reviews.freebsd.org/D32043

 www/plugger/Makefile | 3 +++
 1 file changed, 3 insertions(+)